Forum: Italian Ruby user group Installazione ruby 1.9.2

Cdeb117fcab6e9f8727d8bf80da66a74?d=identicon&s=25 Luigi S. (luigi_s)
on 2012-04-16 16:35
Ciao a tutti ho questo problema, installando nella seguente maniera ruby
1.9.2 oppure 1.9.3

rvm pkg install zlib
rvm pkg install openssl

rvm install 1.9.2 -C --with-openssl-dir=$HOME/.rvm/usr -C
--with-zlib-dir=$HOME/.rvm/usr

Ottengo sempre questo risultato:

ska@maxwell:~$ gem install bundler
ERROR:  Loading command: install (LoadError)
    cannot load such file -- zlib
ERROR:  While executing gem ... (NameError)
    uninitialized constant Gem::Commands::InstallCommand

Naturalmente zlib1g-dev e' installata, ho cercato e ricercato online, ma
nessuna soluzione utile.. sapete aiutarmi?
Ciao ciao...
6dbddfda34303f8d83620f7293612671?d=identicon&s=25 Tommaso Visconti (Guest)
on 2012-04-16 18:50
(Received via mailing list)
Il 16/04/12 16:35, Luigi S. ha scritto:
>
> ska@maxwell:~$ gem install bundler
> ERROR:  Loading command: install (LoadError)
>      cannot load such file -- zlib
> ERROR:  While executing gem ... (NameError)
>      uninitialized constant Gem::Commands::InstallCommand
>
> Naturalmente zlib1g-dev e' installata, ho cercato e ricercato online, ma
> nessuna soluzione utile.. sapete aiutarmi?
> Ciao ciao...

Ciao Luigi, in che ambiente sei? A occhio direi Debian/Ubuntu e anche io
spesso ho avuto quel problema su queste distribuzioni, ma qualche
ricerca su google mi ha sempre aiutato. Purtroppo non ricordo quale
pacchetto risolve il problema, ma dando un'occhiata veloce a qualche
risultato vedo che molti consigliano altri pacchetti oltre a zlib1g-dev.
Una cosa che mi ricordo per certo  che poi per installare ruby non ho
avuto bisogno di passare argomenti di compilazione, beccato il pacchetto
giusto un semplice "rvm install 1.9.x" ha sempre funzionato
Cdeb117fcab6e9f8727d8bf80da66a74?d=identicon&s=25 Luigi S. (luigi_s)
on 2012-04-16 19:08
Ciao Tommaso, si sono su Debian squeeze, mi ha sempre funzionato, oggi
ho dovuto re-installare tutto il sistema e patatrak.
Gli argomenti li ho passati preso dalla disperazione, ma il risultato e'
uguale..
ti allego la lista pacchetti installati:
dpkg -l | grep zlib
zlib-bin, zlib-gst, zlib1g, zlib1g-dbg, zlib1g-dev, zlibc.

dpkg -l | grep ruby
libmysql-ruby, libmysql-ruby1.8, librmagick-ruby, librmagick-ruby1.8,
libruby, libruby1.8, libruby1.9.1, libzip-ruby1.8, libzip-ruby1.9.1


Ciao ciao e grazie!
6dbddfda34303f8d83620f7293612671?d=identicon&s=25 Tommaso Visconti (Guest)
on 2012-04-16 21:39
(Received via mailing list)
Il 16/04/12 19:08, Luigi S. ha scritto:
> libruby, libruby1.8, libruby1.9.1, libzip-ruby1.8, libzip-ruby1.9.1
>
>
> Ciao ciao e grazie!
>

per riprova, questi sono i miei su ubuntu server 11.10:

~$ dpkg -l | grep zlib
zlib1gm, zlib1g-dev

~$ dpkg -l | grep ruby

stessa cosa su una 10.04 lts
Cdeb117fcab6e9f8727d8bf80da66a74?d=identicon&s=25 Luigi S. (luigi_s)
on 2012-04-17 11:37
Stasera riprovo e ti sapro' dire..
Ciao e grazie!!
6dbddfda34303f8d83620f7293612671?d=identicon&s=25 Tommaso Visconti (Guest)
on 2012-05-03 18:51
(Received via mailing list)
Il 16/04/12 16:35, Luigi S. ha scritto:
>
> ska@maxwell:~$ gem install bundler
> ERROR:  Loading command: install (LoadError)
>      cannot load such file -- zlib
> ERROR:  While executing gem ... (NameError)
>      uninitialized constant Gem::Commands::InstallCommand

Ciao,
sei riuscito?
Io ho appena provato su una nuova installazione ubuntu server 12.04 lts
e ho risolto (dopo qualche moccolo) con:

sudo apt-get install zlib1g-dev libssl-dev libreadline5-dev libxml2-dev
libsqlite3-dev
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.